enblend-enfuse (4.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 29 May 2016 13:42:06 +0200

enblend-enfuse (4.2-1) experimental; urgency=low

  * New upstream version.
    + Use original tarball, drop get-orig-source target,
      debian/patches-repack/ and debian/bin/uscan_repack.sh, update
      debian/watch.
  * Rename build-directory from build-no-mp to build-def.
  * As --enable-image-cache is not supported anymore, there is no reason for
    building twice (with image-cache and with OpenMP). enblend-mp and
    enfuse-mp are therefore not shipped anymore as this functionality is
    available in the binaries without -mp suffix.
  * Update b-d for new LaTeX/hevea based build.
  * info docs are not provided anymore.
  * Ship enfuse' examples for --exposure-weight-function=.
  * Drop unused debian/sed-fix-texi-ids file.
  * Ship html documentation.
  * Add 30_hardcode_enfuse_example_dir.diff to fix the reference to
    --exposure-weight-function examples.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Apr 2016 20:20:28 +0200

enblend-enfuse (4.1.5+dfsg-1) unstable; urgency=medium

  * New upstream version.
    + really fixes gcc-6 build (#811869), drop previously added patches.
  * Build with DEB_BUILD_MAINT_OPTIONS hardening=+all.
  * Use dh.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 26 Mar 2016 16:04:19 +0100

enblend-enfuse (4.1.4+dfsg-5) unstable; urgency=medium

  * Move Vcs-* from git/http to https.
  * Pull
    31_467a73754dbb_Fix_issue__1537368__Unconditional_usage_of_std__auto_ptr__.diff
    from upstream HG (4.1.5 branch), which should allow building with g++6.
    Untested though, since boost and g++6 are not co-installable currently.
    Closes: #811869

 -- Andreas Metzler <ametzler@debian.org>  Thu, 28 Jan 2016 19:34:42 +0100

enblend-enfuse (4.1.4+dfsg-4) unstable; urgency=medium

  * Build-Depend on libpng-dev instead of libpng12-dev, 4.1.4 builds
    successfully against libpng 1.6. Closes: #662314

 -- Andreas Metzler <ametzler@debian.org>  Wed, 06 Jan 2016 14:50:28 +0100

enblend-enfuse (4.1.4+dfsg-3) unstable; urgency=medium

  * Build-Depend on libgsl-dev instead of libgsl0-dev. Closes: #806830

 -- Andreas Metzler <ametzler@debian.org>  Thu, 03 Dec 2015 19:24:40 +0100

enblend-enfuse (4.1.4+dfsg-2) unstable; urgency=low

  * 20_reproducible_sig.diff: Use timestamp et al. from debian/changelog
    instead of current time/user/host for binary signature generation.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 10 Oct 2015 14:11:52 +0200

enblend-enfuse (4.1.4+dfsg-1) experimental; urgency=medium

  * New upstream version.
    + Refresh patches-repack/00-win32helpers.patch.
    + Drop debian/patches/*, upstream docs are compatible with texinfo
      5.1 now.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Oct 2015 14:02:14 +0200

enblend-enfuse (4.1.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 22 Jul 2014 08:21:27 +0200

enblend-enfuse (4.1.3+dfsg-1) experimental; urgency=low

  [ Andreas Metzler ]
  * Build with -pipe.
  * Update uscan_repack.sh to use xz compression.
  * New upstream version.
    + Refresh 0001-Change-all-texinfo-variable-names-to-alpha-nums.patch.
    + Versioned build-dependency on liblcms2-dev >= 2.5.

  [ Jackson Doak ]
  * Swap build-depend on libglew1.5-dev | libglew1.4-dev | libglew-dev
    to libglew-dev. The other two are deprecated.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 22 Mar 2014 15:17:26 +0100

enblend-enfuse (4.1.2+dfsg-2) unstable; urgency=low

  * Build-Depend on libtiff-dev instead of transitional libtiff4-dev package.
  * Upload to unstable (lcms2 transition).

 -- Andreas Metzler <ametzler@debian.org>  Sun, 29 Dec 2013 13:51:09 +0100

enblend-enfuse (4.1.2+dfsg-1) experimental; urgency=low

  * Use up to date config.sub/config.guess from autotools-dev. (Yes, the files
    in 4.1.1 should be new enough anyway, but we can fix this once and for
    all.)  Closes: #727373
  * Switch b-d to libtiff4-dev as used by vigra-impex.
  * New upstream version 4.1.2.
  * 0001-Change-all-texinfo-variable-names-to-alpha-nums.patch
    0002-expand-homepage-macro.patch
    0003-Texinfo-5.1-workaround-disable-some-macros.patch
    0004-Texinfo-5.1-workaround-macro-on-a-separate-line.patch
    0005-Texinfo-5.1-workaround-macro-on-a-separate-line.patch
    0006-Texinfo-5.1-workaround-macro-on-a-separate-line.patch
    0007-Leave-TEXINPUTS-alone.patch
    0008-Texinfo-5.1-workaround-macro-on-a-separate-line.patch
    0009-Texinfo-5.1-workaround-equationW.patch debian/sed-fix-texi-ids
    Fix build with texinfo 5.1.
  * Point vcs-* to anonscm.debian.org.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 27 Oct 2013 09:27:54 +0100

enblend-enfuse (4.1.1+dfsg-1) experimental; urgency=low

  * New upstream version 4.1.1.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 Apr 2013 09:11:35 +0200

enblend-enfuse (4.1+dfsg-1) experimental; urgency=low

  * New upstream version 4.1.
    + unfuzz patches-repack/*
    + Drop unnecessary patches (10_ftbfs-gold.diff,
      11_ftbfs_boost1.46.1.diff)
    + Build depends on liblcms2-dev instead of liblcms1-dev.
      (LP: #885324)
    + Requires external libvigraimpex with OpenEXR support. Closes: #542258
      Since the libvigraimpex is built against libtiff5-dev, enblend also
      switches from 4 to 5.
    + Build-Depends on libgsl0-dev.
    + convert (imagemagick) and xmllint (libxml2-utils) are now required for
      building the documentation.
  * Build with -Wl,--as-needed and default buildflags, using dpkg-buildflags
    --export=configure from dpkg-dev >= 1.16.1.
  * Use debhelper v9.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 13 Jan 2013 17:51:20 +0100

enblend-enfuse (4.0+dfsg-6) unstable; urgency=medium

  * 23_perl5.18.diff from upstream HG. - Fix perl 5.18 build failure.
    Closes: #719867

 -- Andreas Metzler <ametzler@debian.org>  Sun, 18 Aug 2013 18:06:11 +0200

enblend-enfuse (4.0+dfsg-5) unstable; urgency=medium

  * Texinfo 5.1 fixes/workarounds:
    + Use only alphanumerical characters in variable names.
      15_texi_ids.diff, 16_hardcodeurl.diff, sed-fix-texi-ids
    + @include file defining VERSION variable before refering to it.
      17_fixinclude.diff.
    + Disable some macros and make sure that macros using conditionals are
      only invoked on a separate line, even if it adds unwanted whitespace.
      18_disablemacros.diff 19_classictimes.diff 20_semilog.diff
      21_inline_foo.diff
    + 22_fixpdfbuild.diff: Stop messing with TEXINPUTS in Makefile*.
    Closes: #708800

 -- Andreas Metzler <ametzler@debian.org>  Sun, 26 May 2013 09:48:16 +0200

enblend-enfuse (4.0+dfsg-4) unstable; urgency=low

  * Build-Depend on libjpeg-dev instead of libjpeg62-dev. Closes: #633757
  * [lintian] rename build-stamp to build-arch-stamp. Add build-arch and
    build-indep targets, the latter is an empty one.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Jul 2011 15:32:05 +0200

enblend-enfuse (4.0+dfsg-3) unstable; urgency=low

  * [11_ftbfs_boost1.46.1.diff]: Pulled from upstream HG, compatibility with
    BOOST_FILESYSTEM_VERSION 2 and 3. Closes: #625061

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 May 2011 17:51:01 +0200

enblend-enfuse (4.0+dfsg-2) unstable; urgency=medium

  * [10_ftbfs-gold.diff] Fix FTBFS with --no-copy-dt-needed-entries.
    Closes: #615708
  * Refer to versioned GFDL copy in debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Apr 2011 15:48:26 +0200

enblend-enfuse (4.0+dfsg-1) unstable; urgency=low

  [ Andreas Metzler ]
  * New upstream version.
  * Update debian/patches-repack/*.
  * debian/patches:
    - Drop unneeded patch addinfosection.dpatch - included upstream.
  * debian/rules:
    - Don't try to install TODO - no longer shipped upstream.
  * debian/enfuse.install:
    - focus-stacking.info is not installed as a separate file anymore.
  * debian/control:
    - Update build-depends by adding gnuplot transfig tidy ttf-freefont,
      required to build the PDF documentation.
  * Build/ship alternative binaries of enblend and enfuse binaries with OpenMP
    support. They are installed as enblend-mp and enfuse-mp respectively.

  [ Sebastian Harl ]
  * debian/rules:
    - Install NEWS and AUTHORS to all packages.
    - Explicitly en/disable requested features when running configure.
    - Let enblend/enfuse use the Boost filesystem library -- I suppose, this
      is more stable and, possibly, better optimized than the shipped
      fallback implementation.
    - Replace the whatis entry in the enblend/enfuse manpages with something
      meaningful (using sed).
    - Do not compress PDF files.
    - Clean en{blend,fuse}.tpt files created when building the PDF
      documentation.
  * debian/control:
    - Build-depend on libboost-filesystem-dev.
    - Updated Standards-Version to 3.9.1 -- no changes.
    - Build-depend on help2man, required to build the manpages.
    - Build-depend on perl, ghostscript, texlive and
      texlive-generic-recommended, required to build the PDF documentation.
  * debian/rules, debian/enblend.install, debian/enfuse.install:
    - Build and install PDF documentation.
  * Added debian/enblend.doc-base, debian/enfuse.doc-base.
    - … pointing to enblend.pdf and enfuse.pdf respectively.

 -- Sebastian Harl <tokkee@debian.org>  Mon, 02 Aug 2010 20:39:09 +0000

enblend-enfuse (3.2+dfsg-3) unstable; urgency=medium

  * Remove usr/share/info/dir, which GNU install-info generates.
    Closes: #545974
  * Add myself to uploaders.
  * Use ${misc:Depends} to get the required dependency on dpkg or
    install-info.
  * Update addinfosection.dpatch to also add info directory entries.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 10 Sep 2009 19:18:59 +0200

enblend-enfuse (3.2+dfsg-2) unstable; urgency=low

  * Upload to unstable - Lenny has been released.
  * debian/control:
    - Updated standards-version to 3.8.1 - no changes.

 -- Sebastian Harl <sh@tokkee.org>  Mon, 06 Apr 2009 17:29:29 +0200

enblend-enfuse (3.2+dfsg-1) experimental; urgency=low

  * New upstream release (Closes: #491370).

  [ Andreas Metzler ]
  * Uploading to experimental because of the Lenny freeze.
  * debian/control:
    - Added zlib1g-dev, libjpeg62-dev, libpng12-dev to the build dependencies,
      although they currently would be pulled in by other build-depends.
    - Added libopenexr-dev and pkg-config to the build dependencies.
    - Updated package description to mention enfuse and the buzz-word
      "exposure blending".
    - Added texinfo to build-depends.
  * debian/patches:
    - Added addinfosection.dpatch - add @dircategory to the texinfo sources
      to get an entry in the main info directory.
  * debian/rules:
    - Run dh_installinfo.

  [ Sebastian Harl ]
  * Thanks a lot to Andreas for his help!
  * debian/rules:
    - Include AUTHORS file in the package as well.
    - Added get-orig-source target which uses uscan to download and repack the
      upstream tarball using debian/bin/uscan_repack.sh - thanks to Bernd
      Zeimetz for the idea!
    - Remove rebuilt documentation files.
    - Use dh_install.
  * debian/patches:
    - Removed gcc4.3-includes.dpatch - included upstream.
    - Removed type_mismatch.dpatch - included upstream.
  * debian/patches-repack:
    - Added patches to be applied when repacking the tarball.
    - Added 00-win32helpers.patch to remove src/win32helpers/, *.sln and
      *.vcproj from the build scripts.
    - Added 01-unnecessary-libs.patch to remove unnecessary libs from the
      linker flags - based on a patch by Andreas.
  * debian/control:
    - Updated standards-version to 3.8.0 - no changes.
    - Renamed the source package to "enblend-enfuse" - just like upstream did.
    - Added new binary package "enfuse".
  * debian/bin/uscan_repack.sh:
    - Added script to take care of the repacking.
    - Remove src/win32helpers/.
    - Remove *.sln and *.vcproj.
    - Apply patches in debian/patches-repack/.
    - Regenerate autotools build system.
  * debian/watch:
    - Call debian/bin/uscan_repack.sh.

 -- Sebastian Harl <sh@tokkee.org>  Sun, 12 Oct 2008 20:33:27 +0200

enblend (3.0+dfsg-2) unstable; urgency=low

  * Added libglew1.5-dev to the build dependencies to ease the libglew1.4 ->
    libglew1.5 transition and make sbuild happy (Closes: #465620).

 -- Sebastian Harl <sh@tokkee.org>  Wed, 13 Feb 2008 22:03:26 +0100

enblend (3.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #294389, #390655).
  * Removed GPL incompatible src/win32helpers/ from .orig.tar.gz.
  * Added type_mismatch.dpatch to fix a failure to instantiate std::max().
  * Added gcc4.3-includes.dpatch to add missing includes required by gcc-4.3.

 -- Sebastian Harl <sh@tokkee.org>  Fri, 28 Dec 2007 02:46:07 +0100

